<?php

/**
 * @author celta
 * @copyright 2012
 */
//include("conexion/conexion.php");
function soporte()
{
$cnx_mysql= new conexion();
$cnx_mysql->conectarse();

$var_retor=$cnx_mysql->consultar("select *from menu_dinamico where script='cons_devo_fecha.php'");
$rows=mysql_num_rows($var_retor);
if ($rows==0){
$cnx_mysql->consultar("insert into menu_dinamico values(0,'Devoluciones Por Fecha Cargue','cons_devo_fecha.php',15,'Devoliciones Por Fecha Cargue')");    
}



$var_retor=$cnx_mysql->consultar("select *from menu_dinamico where script='carga_archivo_descarga.php'");
$rows=mysql_num_rows($var_retor);
if ($rows==0){
$cnx_mysql->consultar("insert into menu_dinamico values(0,'Entregadas por archivo plano','carga_archivo_descarga.php',19,'Entregadas por archivo plano')");    
}


$var_retor=$cnx_mysql->consultar("select *from menu_dinamico where script='cons_devo_fecha_d.php'");
$rows=mysql_num_rows($var_retor);
if ($rows==0){
$retor=$cnx_mysql->consultar("insert into menu_dinamico values(0,'Devoluciones Por Fecha Devolucion','cons_devo_fecha_d.php',15,'Devoliciones Por Fecha Devolucion')");
}


$var_retor=$cnx_mysql->consultar("select *from menu_dinamico where script='carga_archivo_reenvio.php'");
$rows=mysql_num_rows($var_retor);
if ($rows==0){
$cnx_mysql->consultar("insert into menu_dinamico values(0,'Reenvios Por archivo plano','carga_archivo_reenvio.php',19,'Reenvios Por archivo plano')");    
}



//$var_retor=$cnx_mysql->consultar("select *from menu_dinamico where script='ReporteZonaOrden.php'");
//$rows=mysql_num_rows($var_retor);
//if ($rows==0){
//$cnx_mysql->consultar("insert into menu_dinamico values(0,'Reporte de Ordenes por Zona','ReporteZonaOrden.php',24,'Reporte de Ordenes por Zona')");    
//}


$var_retor=$cnx_mysql->consultar("select *from menu_dinamico where script='crear_zona_u.php'");
$rows=mysql_num_rows($var_retor);
if ($rows==0){
$cnx_mysql->consultar("insert into menu_dinamico values(0,'Crear Zona','crear_zona_u.php',11,'Crear Zona')");    
}




//$var_retor=$cnx_mysql->consultar("select no_paquete from guias_proceso limit 1");
//$rows=mysql_num_rows($var_retor);
//if ($rows==0){
//$cnx_mysql->consultar("alter table guias_proceso add column no_paquete varchar (20) default '0' NULL ");    
//}
   // mysql_query("alter table guias_proceso add column no_paquete varchar (20) default '0' NULL ",$conexion);
    
if (substr(sprintf('%o', fileperms(getcwd())), -4)!='0777'){
    echo("Antes de continuar es necesario habilitar todos los permisos sobre: ".getcwd());
}

$cnx_mysql->cerrar();
}



?>